Subject: NotifyCompletion and g/sc Meth

From: Terry L Anderson <[email-masked]>
Date: Wed, 20 Jun 2001 10:30:07 -0400

NotifyCompletion reasons and g/sc{Meth=XX} codes are abviously paired.
TimeOut           -- TO Duration expired
IntByEvent       -- EV Interrupted by event
IntBySigDescr -- SD Halted by new Signals Descriptor
OtherReason    -- NC Not completed, other cause

What is not so clear is which of these is appropriate for the case of a
signal that "plays to completion" for reasons other than time, e.g., a
voice announcement file.  The use of OtherReason/NC does not seem
appropriate, since this is usually used for errors and it controdicts
the "not completed" text.  Such signals could be of type "brief" or time
"timeout".  I believe that TimeOut/TO is the most appropriate, in spite
of time not being the real cause and in private discussions, others
suggest that this was the original intent.

The choice of words for the reason is unfortunate - NormalCompletion
might have been clearer.  The "Duration expired" is more applicable than
the "TimeOut".  I suggest we add language to make it clear that this is
the correct reason.

7.1.11 3rd paragraph
change the sentence to:
The possible cases are that the signal timed out (or otherwise ended on
its own), that it was interrupted ...

E.1.2 change the text after "TO" in Meth to
"TO" (0x0001) Signal Timed out or otherwise ended on its own.

I will  add this to the Implementors Guide unless there is an objection.

--
------------------------------------------------------------
Terry L Anderson              mailto:[email-masked]
Tel:908.582.7013   Fax:908.582.6729
Lucent Technologies/INS/Voice Over IP Access Networks
Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

---

From: Christian Groves <[email-masked]>
Date: Fri, 22 Jun 2001 11:49:31 +1000

G'Day Terry,

I would have still been happy with "Duration expired" but your update
does cover "ended on its own more explicitely".

Cheers, Christian

---

From: Terry L Anderson <[email-masked]>
Date: Fri, 22 Jun 2001 09:41:28 -0400

I figured if we were editing the item anyway, it would be least confusing if
we keep the same language used elsewhere (emphasizing the pairing with
NotifyCompletion reason) rather than introducing yet another term for the same
thing.  So I copied the language from 7.1.11.

BTW I agree with you about not making gratuitous edits where there is no
serious problem with the old language and I would not have suggested changing
"Duration expired" to "Timed out" unless I had been changing the description
for other reasons.

On your previous point, I agree with Brian, that ambiguity or language leading
to common confusion is worth changing.  Whether that case was confusing enough
is perhaps debateable.